Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.text
Class TokenStream.CaseSensitiveTokenFactory

    java.lang.Object
      org.modeshape.common.text.TokenStream.TokenFactory
          org.modeshape.common.text.TokenStream.CaseSensitiveTokenFactory

All Implemented Interfaces:
  TokenStream.Tokens

Enclosing class:
  TokenStream

    public class TokenStream.CaseSensitiveTokenFactory

extends TokenStream.TokenFactory

Field Summary

Fields inherited from class org.modeshape.common.text.TokenStream.TokenFactory
`tokens`

Constructor Summary
`TokenStream.CaseSensitiveTokenFactory()`

Method Summary
`void` | `addToken(Position position, int startIndex, int endIndex, int type)` Create a single- or multi-character token with the supplied type and with the characters in the range given by the starting and ending index in the character stream.

Methods inherited from class org.modeshape.common.text.TokenStream.TokenFactory
`addToken, addToken, getTokens`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenStream.CaseSensitiveTokenFactory

    public TokenStream.CaseSensitiveTokenFactory()

Method Detail

### addToken

    public void addToken(Position position,
                         int startIndex,
                         int endIndex,
                         int type)

  Create a single- or multi-character token with the supplied type and with the characters in the range given by the starting and ending index in the character stream. The character at the ending index is not included in the token (as this is standard practice when using 0-based indexes).

  Parameters:
    `position` - the position (line and column numbers) of this new token; may not be null
    `startIndex` - the index of the first character to appear in the token; must be a valid index in the stream
    `endIndex` - the index just past the last character to appear in the token; must be a valid index in the stream
    `type` - the type of the token
  See Also:
    `TokenStream.Tokens.addToken(Position,int, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.